## ros-kinetic-timed-roslaunch 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(timed_roslaunch)
find_package(catkin REQUIRED)

catkin_package()

# Install
install(PROGRAMS
    scripts/timed_roslaunch.sh
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY test/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test
)

# Test
if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif()

=== debian/changelog ===
ros-kinetic-timed-roslaunch (0.1.3-0xenial) xenial; urgency=high

  * Merge pull request #14 <https://github.com/MoriKen254/timed_roslaunch/issues/14> from MoriKen254/mk/mod-cmake-kinetic
    Modify CMakeLists for launch and test dir install
  * Modify CMakeLists for launch and test dir install
  * Contributors: Mori, MoriKen254

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 08 Nov 2018 15:00:00 -0000

ros-kinetic-timed-roslaunch (0.1.2-0xenial) xenial; urgency=high

  * Fix install scripts in CMakeLists
  * Contributors: MoriKen254

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 08 Nov 2018 15:00:00 -0000

ros-kinetic-timed-roslaunch (0.1.1-0xenial) xenial; urgency=high

  * Modify travis setting.
  * Fix timed_roslaunch to add default values
  * Rename exmample file
  * Modify misc settings
  * Merge pull request #7 <https://github.com/MoriKen254/timed_roslaunch/issues/7> from MoriKen254/indigo-devel
    Official CI
  * Delete launchtest depend.
  * Merge pull request #6 <https://github.com/MoriKen254/timed_roslaunch/issues/6> from MoriKen254/indigo-devel
    Official CI
  * Add launch test.
  * Add package configuration for official ci.
  * Add about in README.
  * Merge pull request #5 <https://github.com/MoriKen254/timed_roslaunch/issues/5> from MoriKen254/mm/add/travis
    Add travis
  * Add travis status to README.
  * Add travis file.
  * Add dependency setting.
  * Add test trigger launch.
  * Add test related files.
  * Merge pull request #4 <https://github.com/MoriKen254/timed_roslaunch/issues/4> from forno/master
    Add launch file for usability
  * Fix typo
  * Update documentation for launch file
  * Add launch file
  * Add launch file for usability
    time, pkg, file, valueと具体名をつけることで使いやすくする試み。
    使用者はこれらアーギュメントを渡しつつincludeすれば良い
  * Merge pull request #3 <https://github.com/MoriKen254/timed_roslaunch/issues/3> from forno/master
    Fix url tags
  * Fix url tags
  * Update limit number of arguments to 3
    少なくとも、 [late time, package name, launch file name] の3つのステータスが必要。
    なので、3つよりも引数が少なければエラーとする。
  * Update usage on launch file
    必要最低限の情報だけのほうが使い方は伝わりやすいかと思います。
  * Fix typo on README
    BSD3条項ライセンスでした
  * Add text for license onto script files
  * Update README.md for license
  * Create LICENSE.txt
    package.xml にBSDライセンスって書いてあるけど LICENSEの表示ファイルが無いのは不親切かと思い追加。
    LICENSE.txt 追加にあたって @MoriKen254 さんのお名前を著作権表示のためお借りします。
  * Update document using timed_launch package
    include fix typo time_roslaunch.sh to timed_roslaunch.sh
    せっかくcatkinパッケージにしてROSシステム上に存在してるので
    他の人のところにコピるんじゃなくて利用してもらうように指示
    BSDライセンスって書いてあるから、コピったらBSDライセンスに従わないといけませんしね
  * Update readme with description and usage
  * Update package.xml and CMakeLists.txt
    reference:
    - [ros_core/package.xml](https://github.com/ros/metapackages/blob/kinetic-devel/ros_core/package.xml)
  * Update function definition for posix
    sh (dash) から実行できなかったので posix 準拠にして動くようにしました。
    referance:
    - http://pubs.opengroup.org/onlinepubs/007904875/utilities/xcu_chap02.html#tag_02_09_05
  * Add comment to shift command
    何度読んでも見逃してしまいがちなので
    改行+コメントで強調
  * Add non-existent argment task
  * Update comment layout
  * Fix typo Use to Usage
  * Fix miss text for solve syntax error
    恐らく誤って3行目と4行目がコピーされた結果であるものを削除
  * [modify] add maintainer
  * Update README.md
  * [add] added actual scripts
  * Update .gitignore
  * Initial commit
  * Contributors: Doi Yusuke, Masaru Morita, MoriKen254

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 01 Nov 2018 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-timed-roslaunch
Section: misc
Priority: extra
Maintainer: Masaru Morita <p595201m@mail.kyutech.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch, ros-kinetic-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-timed-roslaunch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Script to delay the launch of a roslaunch file

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-timed-roslaunch//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
